[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.Exchange

Implements the TStrings.Exchange function.

## Declaration

Source position: classesh.inc line 858

`public procedure TStringList.Exchange(`
`Index1: Integer;`
`Index2: Integer`
`); override;`

## Description

Exchange will exchange two items in the list as described in TStrings.Exchange.

Remark: | Exchange will not check whether the list is sorted or not; if Exchange is called on a sorted list and the strings are not identical, the sort order of the list will be destroyed.

## See also

TStringList.Sorted |  | Determines whether the list is sorted or not.
TStrings.Exchange |  | Exchanges two strings in the list.